- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Collection QML Type

The Collection element represents a collection of items in an organizer manager. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- collectionId : string
- color : color
- description : string
- image : url
- name : string
- secondaryColor : color

## Methods

- var extendedMetaData(key)
- var metaData(key)
- setExtendedMetaData(key, value)
- setMetaData(key, value)

## Detailed Description

## Property Documentation

collectionId : string

This property holds the ID of the collection.

color : color

This property holds the color meta data of a collection.

description : string

This property holds the description meta data of a collection.

image : url

This property holds the image url meta data of a collection.

name : string

This property holds the name meta data of a collection.

secondaryColor : color

This property holds the secondary color meta data of a collection.

## Method Documentation

var extendedMetaData(key)

Returns the value of extended metadata with the given key.

See also setExtendedMetaData().

var metaData(key)

Returns the meta data stored in this collection for the given key. Possible keys include:

- Collection.KeyName
- Collection.KeyDescription
- Collection.KeyColor
- Collection.KeyImage
- Collection.KeyExtended

See also setMetaData().

setExtendedMetaData(key, value)

Sets the value of the extended metadata with the given key to value.

See also extendedMetaData().

setMetaData(key, value)

Sets the meta data of the collection for the given key to the given value. Possible keys include:

- Collection.KeyName
- Collection.KeyDescription
- Collection.KeyColor
- Collection.KeySecondaryColor
- Collection.KeyImage
- Collection.KeyExtended

See also metaData().